Skip to content

Build Kits

The Build Kits resource enables you to fetch a list of all the available Build Kits and download Build Kits.

What are Build Kits?

Build Kits refer to remediation content for Benchmarks. For more information on Build Kits, go to the CIS Build Kits FAQ.


Build Kits Properties

workbenchId
string
The unique identifier for a Build Kit, per CIS WorkBench. This ID can be used to download a Build Kit.
buildkitTitle
string
The title of the published Build Kit, e.g., 'CIS Microsoft Windows 10 Enterprise Release 1809 Benchmark v1.6.0 - Build Kit'.
benchmarkTitle
string
The title of the published benchmark, e.g., 'CIS Microsoft Windows 10 Enterprise Release 1809 Benchmark v1.6.0'.
buildKit
string
The filename of the published Build Kit, e.g., Windows10v1.6.0.zip.

List Downloadable Build Kits

GET /buildkit

Fetch a list of published Build Kits with downloadable content.

Request

N/A

Response

Returns basic information for published Build Kits with downloadable content.

Media type: application/json

Example

Request - cURL
curl -X GET "https://workbench.cisecurity.org/api/vendor/v1/buildkit"
Response - 200 OK
{
"Total number of results": 116,
"Build Kits": [
    {
    "workbenchId": "4177",
    "buildKitTitle": "CIS Microsoft Windows 10 Enterprise Release 1809 Benchmark v1.6.0 - Build Kit",
    "benchmarkTitle": "CIS Microsoft Windows 10 Enterprise Release 1809 Benchmark",
    "buildKit": "Windows10v1.6.0.zip"
    },
    {
    "workbenchId": "4179",
    "buildKitTitle": "CIS Microsoft Windows Server 2019 Benchmark v1.0.0 - Build Kit",
    "benchmarkTitle": "CIS Microsoft Windows Server 2019 Benchmark",
    "buildKit": "Server2019v1.0.0.zip"
    }
]
}

Download Build Kits

GET /buildkit/{workbenchId}

Download a Build Kit.

Request

Header Parameters
X-SecureSuite-Token
string
The token received from a successful license key verification, e.g., 12347b68c544113bc4notvalid358ffd4ba7f254e39c4a842cefed748
Path Parameters
workbenchId
string
The unique identifier for a Build Kit.

Response

Returns a ZIP bundle containing the Build Kit content.

Media type: /application/zip

Example

Request - cURL
curl -X GET ^
  -H "X-SecureSuite-Token: 15638e93802ti234" ^
  "https://workbench.cisecurity.org/api/vendor/v1/buildkit/1234"